{
const TOOLS_RUNNER_URL = "https://functions.yandexcloud.net/d4esian9gs7m7m80qk1q";
const SHOWDOWN_URL = "https://cdnjs.cloudflare.com/ajax/libs/showdown/2.1.0/showdown.min.js";
const TOOL_ID = "624ee845-ecd2-41f2-af2e-e0e90f3b8d41";
const BLOCK_ID = "#rec847567323";

$(document).ready(function () {
  const tool_id = TOOL_ID;
  const block_id = BLOCK_ID.substring(4);
  const block = $(BLOCK_ID).removeClass("r_hidden");
  block.find(".t-descr").css("white-space", "pre-wrap");

  block.wrap(`<div id="rec${block_id}" class="r"></div>`).remove();
  block.removeClass("r");
  const container = $(`#rec${block_id}`);

  const project_id = $("#allrecords").attr("data-tilda-project-id");
  const profile = JSON.parse(
    localStorage.getItem(`tilda_members_profile${project_id}`) ||
      localStorage.getItem("memberarea_profile") ||
      "{}"
  );
  profile["login"] = encodeURIComponent(profile["login"]);
  ["groups", "courses"].forEach((key) => delete profile[key]);
  const filters = new URLSearchParams(window.location.search).get(
    `filters${block_id}`
  );
  $.post(
    TOOLS_RUNNER_URL,
    JSON.stringify({
      tool_id: tool_id,
      profile: profile,
      project_id: project_id,
      referer: document.location.origin,
      user_agent: navigator.userAgent,
      filters: filters,
    }),
    function (data) {
      $.getScript(SHOWDOWN_URL, function () {
        const converter = new showdown.Converter();
        data.records?.forEach(function (record, index) {
          item = block.clone(true).attr("id", `rec${block_id}_${index}`);
          if ("title" in record) {
            item.find(".t-title").text(record.title);
          }
          if ("description" in record) {
            let description = item.find(".t-descr");
            description.html(converter.makeHtml(String(record.description)));
            description.find("blockquote").css({
              "white-space": "normal",
              "border-left": "3px solid #333333",
              "padding-left": "20px",
            });
          }
          if ("image" in record) {
            const item_image = item.find(".t478__blockimg");
            if (record.image) {
              item_image.attr("data-original", record.image);
              item_image.css(
                "background",
                'url("' + record.image + '") center center / cover no-repeat'
              );
            } else {
              item_image.hide();
            }
          }
          if ("button_text" in record) {
            const item_button = item.find(".t478__btn-container");
            if (record.button_text) {
              item_button.find("td, .t-btntext").text(record.button_text);
            } else {
              item_button.hide();
            }
          }
          if ("button_link" in record) {
            const item_button = item.find(".t478__btn-container");
            if (record.button_link) {
              item_button.find("a").attr("href", record.button_link);
            } else {
              item_button.hide();
            }
          }
          item.appendTo(container);
          $(window).trigger("resize");
          window.dispatchEvent(new Event("resize"));
        });
        container.trigger("collabza_loaded");
      });
    }
  ).fail(function (data) {
    container.text(
      `Collabza error (${BLOCK_ID}): ${data?.responseJSON?.message}`
    );
    container.css("text-align", "center");
  });
});
}
